apiVersion: apps/v1
kind: Deployment
metadata:
  name: aks-helloworld2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: aks-helloworld2
  template:
    metadata:
      labels:
        app: aks-helloworld2
    spec:
      containers:
      - name: aks-helloworld2
        image: mcr.microsoft.com/azuredocs/aks-helloworld:v1
        ports:
        - containerPort: 80
        env:
        - name: TITLE
          value: "AKS Ingress Demo2"
---
apiVersion: v1
kind: Service
metadata:
  name: svc-aks-helloworld2
spec:
  type: ClusterIP
  ports:
  - port: 8080
    targetPort: 80
  selector:
    app: aks-helloworld2

---

apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: ingress-aks-helloworld2
  annotations:
    kubernetes.io/ingress.class: azure/application-gateway
    appgw.ingress.kubernetes.io/override-frontend-port: "8080"
spec:
  rules:
  - http:
      paths:
      - path: /
        backend:
          serviceName: svc-aks-helloworld2
          servicePort: 8080
          